<?php
$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_e13e80e20d331f" . "ace5f56ce9d9be4" . "2cd" => base64_decode("cmVzdG9yZV9" . "lcnJvcl9oYW" . "5kbGVy"), "_7618fa2e44" . "dd7c2de26ed" . "1413b53cddd" => base64_decode("Ly4uLy" . "4uLy4u" . "L3NldH" . "Vw"), "d" . "b" => base64_decode("ZG" . "I="), "_9342063570b40df2075204394" . "b59df59" => base64_decode("Z2V" . "0Y3" . "dk"), "_11def3af2a833468dd0e4ff1f0bc" . "5414" => base64_decode("Li4vY29yZS" . "9ib290c3Ry" . "YXAucGhw"), "_00f2055c7cbd408ef56949f35c62" . "b721" => base64_decode("ZmlsZ" . "XM="), "_dcf86ccc31af7f63af36115a" . "a12b1ee7" => base64_decode("Y2hkaXI" . "="), "_e4db503f811" . "792b891b982e" . "0cad39ac4" => base64_decode("Ly4uLy4uLy4uL2NvbW1vbi9jb3Jl" . "X3BocC5waHA="), "_a056f0cf0cdc3699505" . "cc5ff22b5e7ac" => base64_decode("SW52YWxpZCAnZnJvbScgcGFyYW1ldGVyLiBTaG91bGQgYmUgZWl0aGVyI" . "CdkYicgb3IgJ2ZpbGVzJw=="));
require_once __DIR__ . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_e4db503f811792b891b982e0" . "cad39ac4"];
use Claromentis\Setup\Util;






class ReadVersionTask extends Task
{
    
    
    
    
    protected $application;
    
    
    
    
    protected $from;
    
    
    
    
    protected $property;
    public function main()
    {
        $_33cd0a6efc4dc46179519f04eaa36255 = $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_9342063570b40df2075" . "204394b59df59"]();
        $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_dcf86ccc31af7f63af36115aa1" . "2b1ee7"](__DIR__ . $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_7618fa2e44dd7c2de26ed1" . "413b53cddd"]);
        require_once $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_11def3af2" . "a833468dd0" . "e4ff1f0bc5" . "414"];
        $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_e13e80e20d331face5f56ce9d9be42" . "cd"]();
        global $g_application;
        try {
            if ($this->from == $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["d" . "b"]) {
                $_d3a4df576cec8d467e29e06a95ac4009 = new \Claromentis\Setup\Db\Migrations\PersistenceDatabase($this->application, $g_application->db);
                $result = $_d3a4df576cec8d467e29e06a95ac4009->GetVersion();
            } elseif ($this->from == $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_00f2055c7cbd408ef56949f35c62" . "b721"]) {
                $_4825e032d19ebe3edee32a6a54c7afd2 = Util::GetApplicationPath($this->application, $g_application, $this->project);
                $_c6a2115f762b2695bf8d81d19df793de = new \Claromentis\Setup\VersionFile($this->application, $_4825e032d19ebe3edee32a6a54c7afd2);
                $result = $_c6a2115f762b2695bf8d81d19df793de->GetVersionCode();
            } else {
                throw new Exception($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_a056f0cf0cdc3699505cc5ff2" . "2b5e7ac"]);
            }
        } catch (Exception $e) {
            $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_dcf86ccc31af7f63af36115aa" . "12b1ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
            $this->log($e->getMessage(), Project::MSG_ERR);
            throw new BuildException($e->getMessage());
        }
        $this->project->setProperty($this->property, $result);
        $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_dcf86ccc31af7f63af36115aa" . "12b1ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
    }
    
    
    
    
    
    
    public function setApplication($_f44467aacb8a4520c7382769d24aa422)
    {
        $this->application = $_f44467aacb8a4520c7382769d24aa422;
    }
    
    
    
    
    
    
    public function setFrom($from)
    {
        $this->from = $from;
    }
    
    
    
    
    
    
    public function setProperty($_c241f11ec2591cc626823468234ffaf4)
    {
        $this->property = $_c241f11ec2591cc626823468234ffaf4;
    }
}